# Interface IAggregateWorkingSet

All Superinterfaces:
  `IAdaptable, IPersistable, IPersistableElement, IWorkingSet`

All Known Implementing Classes:
  `AggregateWorkingSet`

public interface IAggregateWorkingSet extends IWorkingSet
Contains a set of `IWorkingSet`. Sets of working sets are used by viewers to contain all of the working sets being shown. Sets can also be nested. In classes that implement this, the `IWorkingSet.getElements()` returns all of the elements of each of the working sets in this set. Instances of `IWorkingSet` can be cast to IAggregateWorkingSet if `IWorkingSet.isAggregateWorkingSet()` is true.

Since:
  3.5 initial version
Restriction:
  This interface is not intended to be implemented by clients.

## Method Summary

Modifier and Type
Method
Description
`IWorkingSet[]`
`getComponents()`
Returns the working sets contained in this aggregate working set.

### Methods inherited from interface IAdaptable

`getAdapter`

### Methods inherited from interface IPersistable

`saveState`

### Methods inherited from interface IPersistableElement

`getFactoryId`

### Methods inherited from interface IWorkingSet

`adaptElements, getElements, getId, getImage, getImageDescriptor, getLabel, getName, isAggregateWorkingSet, isEditable, isEmpty, isSelfUpdating, isVisible, setElements, setId, setLabel, setName`

## Method Details

### getComponents

IWorkingSet[] getComponents()
Returns the working sets contained in this aggregate working set. Clients can do what they wish with the returned array, as it will have no effect on the state of the this object.

Returns:
  the working sets contained in this aggregate working set.